POST api/Dashboard/UpdateActivateData
Request Information
URI Parameters
None.
Body Parameters
DashboardFollowUpActivateCaseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| EntitySequence | integer |
None. |
|
| Action | integer |
None. |
|
| NoOfAttempts | integer |
None. |
|
| Attempts | integer |
None. |
|
| ClinicalPathwayTypeId | integer |
None. |
|
| ClinicalPathwayTypeName | string |
String length: inclusive between 0 and 100 |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| EntityStatus | integer |
None. |
|
| EntityId | integer |
None. |
|
| FollowUpInteractionType | integer |
None. |
|
| InteractionType | integer |
None. |
|
| OnSiteLocationId | integer |
None. |
|
| TeleMedicineId | integer |
None. |
|
| OnSiteClinicLocation | string |
String length: inclusive between 0 and 100 |
|
| TeleMedicinekioskLocation | string |
String length: inclusive between 0 and 50 |
|
| Note | string |
String length: inclusive between 0 and 4000 |
|
| CallActivationName | string |
String length: inclusive between 0 and 61 |
|
| CallActivationId | integer |
None. |
|
| CompanyName | string |
String length: inclusive between 0 and 60 |
|
| EncounterId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"EntitySequence": 3,
"Action": 4,
"NoOfAttempts": 1,
"Attempts": 1,
"ClinicalPathwayTypeId": 5,
"ClinicalPathwayTypeName": "sample string 6",
"EmployeeId": "sample string 7",
"EntityStatus": 1,
"EntityId": 8,
"FollowUpInteractionType": 1,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"OnSiteClinicLocation": "sample string 9",
"TeleMedicinekioskLocation": "sample string 10",
"Note": "sample string 11",
"CallActivationName": "sample string 12",
"CallActivationId": 13,
"CompanyName": "sample string 14",
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:01.6561058-07:00",
"DateUpdated": "2026-08-04T14:26:01.6561058-07:00",
"UserIDCreated": 18,
"UserIDUpdated": 19,
"CompanyCode": "sample string 20",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfDashboardFollowUpActivateCaseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | DashboardFollowUpActivateCaseDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"EntitySequence": 3,
"Action": 4,
"NoOfAttempts": 1,
"Attempts": 1,
"ClinicalPathwayTypeId": 5,
"ClinicalPathwayTypeName": "sample string 6",
"EmployeeId": "sample string 7",
"EntityStatus": 1,
"EntityId": 8,
"FollowUpInteractionType": 1,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"OnSiteClinicLocation": "sample string 9",
"TeleMedicinekioskLocation": "sample string 10",
"Note": "sample string 11",
"CallActivationName": "sample string 12",
"CallActivationId": 13,
"CompanyName": "sample string 14",
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:01.6642245-07:00",
"DateUpdated": "2026-08-04T14:26:01.6642245-07:00",
"UserIDCreated": 18,
"UserIDUpdated": 19,
"CompanyCode": "sample string 20",
"IsExcludeDiscount": true
},
"totalCount": 3
}